Beneficial Owners
Retrieve beneficial owner
Returns detailed information for a specific beneficial owner, including personal information, address, and verification status. The verification status indicates the owner’s identity verification progress and affects the business customer’s transaction capabilities.
GET
/
beneficial-owners
/
{id}
cURL
GET https://api-sandbox.dwolla.com/beneficial-owners/976a4c14-b183-40e9-b2df-ddbb3e794d3f
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var beneficialOwnerUrl = "https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8";
dwolla.get(beneficialOwnerUrl).then((res) => res.body.firstName); // => 'Jane'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfB8'
beneficial_owner = app_token.get(beneficial_owner_url)
beneficial_owner.body['firstName']
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$beneficialOwnersApi = new DwollaSwagger\BeneficialownersApi($apiClient);
$beneficialOwnerUrl = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfB8';
$beneficialOwner = $beneficialOwnersApi->getById($beneficialOwnerUrl);
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfB8'
beneficial_owner = app_token.get beneficial_owner_url
beneficial_owner.firstName # => "Jane"
{
"_links": {},
"id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
"firstName": "John",
"lastName": "Doe",
"address": {
"address1": "462 Main Street",
"city": "Des Moines",
"country": "USA",
"stateProvinceRegion": "IA",
"address2": "Suite 123",
"address3": "Unit 123",
"postalCode": "50309"
},
"verificationStatus": "verified",
"created": "2022-07-23T00:18:21.419Z"
}{
"code": "not_found",
"message": "not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Path Parameters
Beneficial owner unique identifier
Response
successful operation
Request body model for a Beneficial Owner
Show child attributes
Show child attributes
Example:
"d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e"
Example:
"John"
Example:
"Doe"
Show child attributes
Show child attributes
Available options:
verified, document, incomplete Example:
"verified"
Example:
"2022-07-23T00:18:21.419Z"
Was this page helpful?
⌘I
cURL
GET https://api-sandbox.dwolla.com/beneficial-owners/976a4c14-b183-40e9-b2df-ddbb3e794d3f
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var beneficialOwnerUrl = "https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8";
dwolla.get(beneficialOwnerUrl).then((res) => res.body.firstName); // => 'Jane'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfB8'
beneficial_owner = app_token.get(beneficial_owner_url)
beneficial_owner.body['firstName']
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$beneficialOwnersApi = new DwollaSwagger\BeneficialownersApi($apiClient);
$beneficialOwnerUrl = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfB8';
$beneficialOwner = $beneficialOwnersApi->getById($beneficialOwnerUrl);
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfB8'
beneficial_owner = app_token.get beneficial_owner_url
beneficial_owner.firstName # => "Jane"
{
"_links": {},
"id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
"firstName": "John",
"lastName": "Doe",
"address": {
"address1": "462 Main Street",
"city": "Des Moines",
"country": "USA",
"stateProvinceRegion": "IA",
"address2": "Suite 123",
"address3": "Unit 123",
"postalCode": "50309"
},
"verificationStatus": "verified",
"created": "2022-07-23T00:18:21.419Z"
}{
"code": "not_found",
"message": "not found."
}